ArcoLinux -D -B 19.5 iso's have been released

[SOLVED] Errors updating Aur in Pamac

Post Reply
User avatar
beardedragon
Crewman
Posts: 4
Joined: Wed Jan 16, 2019 5:28 pm
Location: Madison, Wi
United States of America
[SOLVED] Errors updating Aur in Pamac

Post by beardedragon » Sat Mar 16, 2019 11:44 pm

The following errors (42 + 1 warning) were found when I added Aur to Pamac and tried to upgrade.:

Code: Select all

```
Synchronizing package databases...
Starting full system upgrade...
Cloning pamac-aur build files...
Checking pamac-aur dependencies...
Cloning timeshift build files...
Checking timeshift dependencies...
Cloning trizen build files...
Checking trizen dependencies...
Cloning xcursor-breeze build files...
Checking xcursor-breeze dependencies...
Cloning yad build files...
Checking yad dependencies...
Cloning yay-bin build files...
Checking yay-bin dependencies...
Cloning zafiro-icon-theme build files...
Checking zafiro-icon-theme dependencies...
Building pamac-aur...
==> Making package: pamac-aur 7.3.4-2 (Sat 16 Mar 2019 05:33:29 PM CDT)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found pamac-7.3.4-2.tar.gz
==> Validating source files with sha256sums...
    pamac-7.3.4-2.tar.gz ... Passed
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Extracting pamac-7.3.4-2.tar.gz with bsdtar
==> Starting prepare()...
==> Removing existing $pkgdir/ directory...
==> Starting build()...
The Meson build system
Version: 0.49.2
Source dir: /var/tmp/pamac-build-bob/pamac-aur/src/pamac-71fc9ae24a09f025a0bf0e6b1d66544a7e65b7e0
Build dir: /var/tmp/pamac-build-bob/pamac-aur/src/pamac-71fc9ae24a09f025a0bf0e6b1d66544a7e65b7e0/builddir
Build type: native build
Project name: pamac
Project version: undefined
Appending CFLAGS from environment: '-march=x86-64 -mtune=generic -O2 -pipe -fno-plt'
Appending LDFLAGS from environment: '-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'
Appending CPPFLAGS from environment: '-D_FORTIFY_SOURCE=2'
Native C compiler: cc (gcc 8.2.1 "cc (GCC) 8.2.1 20181127")
Appending LDFLAGS from environment: '-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'
Native Vala compiler: valac (valac 0.44.0)
Build machine cpu family: x86_64
Build machine cpu: x86_64
Found pkg-config: /usr/bin/pkg-config (1.6.0)
Dependency gobject-2.0 found: YES 2.60.0
Dependency gio-2.0 found: YES 2.60.0
Dependency gthread-2.0 found: YES 2.60.0
Dependency libalpm found: YES 11.0.3
Dependency json-glib-1.0 found: YES 1.4.4
Dependency libsoup-2.4 found: YES 2.66.0
Dependency polkit-gobject-1 found: YES 0.116
Dependency libcurl found: YES 7.64.0
Dependency libnotify found: YES 0.7.7
Dependency appstream-glib found: YES 0.7.15
Dependency gtk+-3.0 found: YES 3.24.7
Dependency gdk-3.0 found: YES 3.24.7
Dependency gdk-pixbuf-2.0 found: YES 2.38.1
Dependency vte-2.91 found: YES 0.56.0
Library posix found: YES
Library m found: YES
Program g-ir-compiler found: YES (/usr/bin/g-ir-compiler)
Configuring org.manjaro.pamac.manager.service using configuration
Configuring org.manjaro.pamac.system.service using configuration
Program pacman-mirrors found: NO
Build targets in project: 19
Found ninja-1.9.0 at /usr/bin/ninja
[1/66] Generating installer_resources_h with a custom command.
[2/66] Generating installer_resources_c with a custom command.
[3/66] Generating transaction_resources_h with a custom command.
[4/66] Generating manager_resources_h with a custom command.
[5/66] Generating transaction_resources_c with a custom command.
[6/66] Generating manager_resources_c with a custom command.
[7/66] Compiling Vala source ../src/pamac_config.vala ../src/clean_cache.vala.
[8/66] Compiling Vala source ../src/common_daemon.vala ../src/pamac_config.vala ../src/alpm_config.vala ../src/alpm_utils.vala ../src/system_daemon.vala.
FAILED: src/25a6634@@pamac-system-daemon@exe/common_daemon.c src/25a6634@@pamac-system-daemon@exe/pamac_config.c src/25a6634@@pamac-system-daemon@exe/alpm_config.c src/25a6634@@pamac-system-daemon@exe/alpm_utils.c src/25a6634@@pamac-system-daemon@exe/system_daemon.c 
valac -C --debug --debug --pkg appstream-glib --pkg libcurl --pkg polkit-gobject-1 --pkg libsoup-2.4 --pkg json-glib-1.0 --pkg posix --pkg gio-2.0 --pkg libalpm --pkg gobject-2.0 --color=always --directory src/25a6634@@pamac-system-daemon@exe --basedir ../src --pkg=posix --target-glib=2.38 --vapidir=/var/tmp/pamac-build-bob/pamac-aur/src/pamac-71fc9ae24a09f025a0bf0e6b1d66544a7e65b7e0/vapi ../src/common_daemon.vala ../src/pamac_config.vala ../src/alpm_config.vala ../src/alpm_utils.vala ../src/system_daemon.vala
../src/alpm_utils.vala:417.54-417.81: error: Argument 1: Cannot convert from `unowned Alpm.List<weak Alpm.Package>' to `unowned Alpm.List<Alpm.Package>'
				unowned Alpm.Package? pkg = Alpm.find_satisfier (alpm_handle.localdb.pkgcache, name);
				                                                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
../src/alpm_utils.vala:418.9-418.11: error: The name `pkg' does not exist in the context of `Pamac.AlpmUtils.trans_sysupgrade'
				if (pkg != null) {
				    ^^^
../src/alpm_utils.vala:419.40-419.42: error: The name `pkg' does not exist in the context of `Pamac.AlpmUtils.trans_sysupgrade'
					unowned Alpm.Package? candidate = pkg.sync_newversion (alpm_handle.syncdbs);
					                                  ^^^
../src/alpm_utils.vala:420.10-420.18: error: The name `candidate' does not exist in the context of `Pamac.AlpmUtils.trans_sysupgrade'
					if (candidate != null) {
					    ^^^^^^^^^
../src/alpm_utils.vala:421.25-421.33: error: The name `candidate' does not exist in the context of `Pamac.AlpmUtils.trans_sysupgrade'
						to_syncfirst.add (candidate.name);
						                  ^^^^^^^^^
../src/alpm_utils.vala:448.64-448.82: error: Argument 1: Cannot convert from `unowned Alpm.List<weak Alpm.DB>' to `unowned Alpm.List<Alpm.DB>'
			unowned Alpm.Package? pkg = alpm_handle.find_dbs_satisfier (alpm_handle.syncdbs, pkgname);
			                                                            ^^^^^^^^^^^^^^^^^^^
../src/alpm_utils.vala:449.8-449.10: error: The name `pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
			if (pkg == null) {
			    ^^^
../src/alpm_utils.vala:454.40-454.42: error: The name `pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
				bool success = trans_add_pkg_real (pkg);
				                                   ^^^
../src/alpm_utils.vala:455.9-455.15: error: The name `success' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
				if (success) {
				    ^^^^^^^
../src/alpm_utils.vala:456.24-456.26: error: The name `pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
					if (("linux31" in pkg.name) || ("linux4" in pkg.name)) {
					                  ^^^
../src/alpm_utils.vala:456.50-456.52: error: The name `pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
					if (("linux31" in pkg.name) || ("linux4" in pkg.name)) {
					                                            ^^^
../src/alpm_utils.vala:475.27-475.29: error: The name `pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
						string[] splitted = pkg.name.split ("-", 2);
						                    ^^^
../src/alpm_utils.vala:476.11-476.18: error: The name `splitted' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
						if (splitted.length == 2) {
						    ^^^^^^^^
../src/alpm_utils.vala:480.50-480.57: error: The name `splitted' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
								string module = installed_kernel + "-" + splitted[1];
								                                         ^^^^^^^^
../src/alpm_utils.vala:481.83-481.88: error: The name `module' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
								unowned Alpm.Package? installed_module_pkg = alpm_handle.localdb.get_pkg (module);
								                                                                          ^^^^^^
../src/alpm_utils.vala:482.13-482.32: error: The name `installed_module_pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
								if (installed_module_pkg == null) {
								    ^^^^^^^^^^^^^^^^^^^^
../src/alpm_utils.vala:483.58-483.63: error: The name `module' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
									unowned Alpm.Package? module_pkg = get_syncpkg (module);
									                                                ^^^^^^
../src/alpm_utils.vala:484.14-484.23: error: The name `module_pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
									if (module_pkg != null) {
									    ^^^^^^^^^^
../src/alpm_utils.vala:485.31-485.40: error: The name `module_pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
										trans_add_pkg_real (module_pkg);
										                    ^^^^^^^^^^
../src/alpm_utils.vala:489.18-489.25: error: The name `splitted' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
						} else if (splitted.length == 1) {
						           ^^^^^^^^
../src/alpm_utils.vala:493.25-493.32: error: The name `splitted' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
								string module = splitted[0] + "-" + installed_module;
								                ^^^^^^^^
../src/alpm_utils.vala:494.57-494.62: error: The name `module' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
								unowned Alpm.Package? module_pkg = get_syncpkg (module);
								                                                ^^^^^^
../src/alpm_utils.vala:495.13-495.22: error: The name `module_pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
								if (module_pkg != null) {
								    ^^^^^^^^^^
../src/alpm_utils.vala:496.30-496.39: error: The name `module_pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
									trans_add_pkg_real (module_pkg);
									                    ^^^^^^^^^^
../src/alpm_utils.vala:502.12-502.18: error: The name `success' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
				return success;
				       ^^^^^^^
../src/alpm_utils.vala:617.41-617.49: error: Argument 1: Cannot convert from `unowned Alpm.List<weak Alpm.Package>?' to `unowned Alpm.List<Alpm.Package>'
							} else if ((pkg = Alpm.pkg_find (trans_add, miss->causingpkg)) != null) {
							                                 ^^^^^^^^^
../src/alpm_utils.vala:787.34-787.61: error: Argument 1: Cannot convert from `unowned Alpm.List<weak Alpm.Package>' to `unowned Alpm.List<Alpm.Package>'
								if (Alpm.find_satisfier (alpm_handle.localdb.pkgcache, pkg.name) == null) {
								                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Compilation failed: 27 error(s), 0 warning(s)
[9/66] Compiling Vala source ../src/common.vala ../src/package.vala ../src/pamac_config.vala ../src/error.vala ../src/alpm_config.vala ../src/aur.vala ../src/database.vala ../src/transaction_interface.vala ../src/alpm_utils.vala ../src/transaction_interface_root.vala ../src/transaction_interface_daemon.vala ../src/transaction.vala.
FAILED: src/25a6634@@pamac@sha/common.c src/25a6634@@pamac@sha/package.c src/25a6634@@pamac@sha/pamac_config.c src/25a6634@@pamac@sha/error.c src/25a6634@@pamac@sha/alpm_config.c src/25a6634@@pamac@sha/aur.c src/25a6634@@pamac@sha/database.c src/25a6634@@pamac@sha/transaction_interface.c src/25a6634@@pamac@sha/alpm_utils.c src/25a6634@@pamac@sha/transaction_interface_root.c src/25a6634@@pamac@sha/transaction_interface_daemon.c src/25a6634@@pamac@sha/transaction.c src/pamac.h src/pamac.vapi src/Pamac-1.0.gir 
valac -C --debug --debug --pkg libcurl --pkg libsoup-2.4 --pkg appstream-glib --pkg json-glib-1.0 --pkg posix --pkg gio-2.0 --pkg libalpm --color=always --directory src/25a6634@@pamac@sha --basedir ../src --library pamac --header src/pamac.h --vapi ../pamac.vapi --gir ../Pamac-1.0.gir --pkg=posix --target-glib=2.38 --vapidir=/var/tmp/pamac-build-bob/pamac-aur/src/pamac-71fc9ae24a09f025a0bf0e6b1d66544a7e65b7e0/vapi ../src/common.vala ../src/package.vala ../src/pamac_config.vala ../src/error.vala ../src/alpm_config.vala ../src/aur.vala ../src/database.vala ../src/transaction_interface.vala ../src/alpm_utils.vala ../src/transaction_interface_root.vala ../src/transaction_interface_daemon.vala ../src/transaction.vala
../src/database.vala:166.80-166.107: error: Argument 1: Cannot convert from `unowned Alpm.List<weak Alpm.Package>' to `unowned Alpm.List<Alpm.Package>'
			return new Package.from_struct (initialise_pkg_struct (Alpm.find_satisfier (alpm_handle.localdb.pkgcache, depstring)));
			                                                                            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
../src/database.vala:191.61-191.88: error: Argument 1: Cannot convert from `unowned Alpm.List<weak Alpm.Package>' to `unowned Alpm.List<Alpm.Package>'
					unowned Alpm.Package? satisfier = Alpm.find_satisfier (alpm_handle.localdb.pkgcache, optdep);
					                                                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
../src/database.vala:192.10-192.18: error: The name `satisfier' does not exist in the context of `Pamac.Database.get_uninstalled_optdeps'
					if (satisfier == null) {
					    ^^^^^^^^^
../src/database.vala:586.32-586.42: error: Argument 1: Cannot convert from `unowned Alpm.List<weak Alpm.Package>' to `unowned Alpm.List<Alpm.Package>'
				pkg = Alpm.find_satisfier (db.pkgcache, depstring);
				                           ^^^^^^^^^^^
../src/database.vala:605.73-605.79: error: Argument 1: Cannot convert from `unowned Alpm.List<weak string>?' to `unowned Alpm.List<string>'
			Alpm.List<unowned Alpm.Package> result = alpm_handle.localdb.search (needles);
			                                                                     ^^^^^^^
../src/database.vala:611.28-611.34: error: Argument 1: Cannot convert from `unowned Alpm.List<weak string>?' to `unowned Alpm.List<string>'
					syncpkgs = db.search (needles);
					                      ^^^^^^^
../src/database.vala:613.32-613.38: error: Argument 1: Cannot convert from `unowned Alpm.List<weak string>?' to `unowned Alpm.List<string>'
					syncpkgs.join (db.search (needles).diff (syncpkgs, (Alpm.List.CompareFunc) alpm_pkg_compare_name));
					                          ^^^^^^^
../src/database.vala:617.4-617.9: error: The name `result' does not exist in the context of `Pamac.Database.search_all_dbs'
			result.join (syncpkgs.diff (result, (Alpm.List.CompareFunc) alpm_pkg_compare_name));
			^^^^^^
../src/database.vala:637.5-637.10: error: The name `result' does not exist in the context of `Pamac.Database.search_all_dbs'
				result.join (appstream_result.diff (result, (Alpm.List.CompareFunc) alpm_pkg_compare_name));
				^^^^^^
../src/database.vala:641.4-641.9: error: The name `result' does not exist in the context of `Pamac.Database.search_all_dbs'
			result.sort (result.length, (Alpm.List.CompareFunc) alpm_pkg_sort_search_by_relevance);
			^^^^^^
../src/database.vala:642.11-642.16: error: The name `result' does not exist in the context of `Pamac.Database.search_all_dbs'
			return result;
			       ^^^^^^
../src/database.vala:968.31-968.58: error: Argument 1: Cannot convert from `unowned Alpm.List<weak Alpm.Package>' to `unowned Alpm.List<Alpm.Package>'
					if (Alpm.find_satisfier (alpm_handle.localdb.pkgcache, optdep.name) == null) {
					                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
../src/database.vala:1683.72-1683.89: error: Argument 1: Cannot convert from `unowned Alpm.List<weak Alpm.DB>' to `unowned Alpm.List<Alpm.DB>'
						unowned Alpm.Package? candidate = installed_pkg.sync_newversion (tmp_handle.syncdbs);
						                                                                 ^^^^^^^^^^^^^^^^^^
../src/database.vala:1684.11-1684.19: error: The name `candidate' does not exist in the context of `Pamac.Database.get_updates._lambda40_'
						if (candidate != null) {
						    ^^^^^^^^^
../src/database.vala:1685.78-1685.86: error: The name `candidate' does not exist in the context of `Pamac.Database.get_updates._lambda40_'
							repos_updates.append (new Package.from_struct (initialise_pkg_struct (candidate)));
							                                                                      ^^^^^^^^^
../src/database.vala:1659.4-1659.18: warning: delegates with scope="async" must be owned
			ThreadFunc<int> run = () => {
			^^^^^^^^^^^^^^^
../src/alpm_utils.vala:417.54-417.81: error: Argument 1: Cannot convert from `unowned Alpm.List<weak Alpm.Package>' to `unowned Alpm.List<Alpm.Package>'
				unowned Alpm.Package? pkg = Alpm.find_satisfier (alpm_handle.localdb.pkgcache, name);
				                                                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
../src/alpm_utils.vala:418.9-418.11: error: The name `pkg' does not exist in the context of `Pamac.AlpmUtils.trans_sysupgrade'
				if (pkg != null) {
				    ^^^
../src/alpm_utils.vala:419.40-419.42: error: The name `pkg' does not exist in the context of `Pamac.AlpmUtils.trans_sysupgrade'
					unowned Alpm.Package? candidate = pkg.sync_newversion (alpm_handle.syncdbs);
					                                  ^^^
../src/alpm_utils.vala:420.10-420.18: error: The name `candidate' does not exist in the context of `Pamac.AlpmUtils.trans_sysupgrade'
					if (candidate != null) {
					    ^^^^^^^^^
../src/alpm_utils.vala:421.25-421.33: error: The name `candidate' does not exist in the context of `Pamac.AlpmUtils.trans_sysupgrade'
						to_syncfirst.add (candidate.name);
						                  ^^^^^^^^^
../src/alpm_utils.vala:448.64-448.82: error: Argument 1: Cannot convert from `unowned Alpm.List<weak Alpm.DB>' to `unowned Alpm.List<Alpm.DB>'
			unowned Alpm.Package? pkg = alpm_handle.find_dbs_satisfier (alpm_handle.syncdbs, pkgname);
			                                                            ^^^^^^^^^^^^^^^^^^^
../src/alpm_utils.vala:449.8-449.10: error: The name `pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
			if (pkg == null) {
			    ^^^
../src/alpm_utils.vala:454.40-454.42: error: The name `pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
				bool success = trans_add_pkg_real (pkg);
				                                   ^^^
../src/alpm_utils.vala:455.9-455.15: error: The name `success' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
				if (success) {
				    ^^^^^^^
../src/alpm_utils.vala:456.24-456.26: error: The name `pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
					if (("linux31" in pkg.name) || ("linux4" in pkg.name)) {
					                  ^^^
../src/alpm_utils.vala:456.50-456.52: error: The name `pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
					if (("linux31" in pkg.name) || ("linux4" in pkg.name)) {
					                                            ^^^
../src/alpm_utils.vala:475.27-475.29: error: The name `pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
						string[] splitted = pkg.name.split ("-", 2);
						                    ^^^
../src/alpm_utils.vala:476.11-476.18: error: The name `splitted' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
						if (splitted.length == 2) {
						    ^^^^^^^^
../src/alpm_utils.vala:480.50-480.57: error: The name `splitted' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
								string module = installed_kernel + "-" + splitted[1];
								                                         ^^^^^^^^
../src/alpm_utils.vala:481.83-481.88: error: The name `module' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
								unowned Alpm.Package? installed_module_pkg = alpm_handle.localdb.get_pkg (module);
								                                                                          ^^^^^^
../src/alpm_utils.vala:482.13-482.32: error: The name `installed_module_pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
								if (installed_module_pkg == null) {
								    ^^^^^^^^^^^^^^^^^^^^
../src/alpm_utils.vala:483.58-483.63: error: The name `module' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
									unowned Alpm.Package? module_pkg = get_syncpkg (module);
									                                                ^^^^^^
../src/alpm_utils.vala:484.14-484.23: error: The name `module_pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
									if (module_pkg != null) {
									    ^^^^^^^^^^
../src/alpm_utils.vala:485.31-485.40: error: The name `module_pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
										trans_add_pkg_real (module_pkg);
										                    ^^^^^^^^^^
../src/alpm_utils.vala:489.18-489.25: error: The name `splitted' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
						} else if (splitted.length == 1) {
						           ^^^^^^^^
../src/alpm_utils.vala:493.25-493.32: error: The name `splitted' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
								string module = splitted[0] + "-" + installed_module;
								                ^^^^^^^^
../src/alpm_utils.vala:494.57-494.62: error: The name `module' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
								unowned Alpm.Package? module_pkg = get_syncpkg (module);
								                                                ^^^^^^
../src/alpm_utils.vala:495.13-495.22: error: The name `module_pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
								if (module_pkg != null) {
								    ^^^^^^^^^^
../src/alpm_utils.vala:496.30-496.39: error: The name `module_pkg' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
									trans_add_pkg_real (module_pkg);
									                    ^^^^^^^^^^
../src/alpm_utils.vala:502.12-502.18: error: The name `success' does not exist in the context of `Pamac.AlpmUtils.trans_add_pkg'
				return success;
				       ^^^^^^^
../src/alpm_utils.vala:617.41-617.49: error: Argument 1: Cannot convert from `unowned Alpm.List<weak Alpm.Package>?' to `unowned Alpm.List<Alpm.Package>'
							} else if ((pkg = Alpm.pkg_find (trans_add, miss->causingpkg)) != null) {
							                                 ^^^^^^^^^
../src/alpm_utils.vala:787.34-787.61: error: Argument 1: Cannot convert from `unowned Alpm.List<weak Alpm.Package>' to `unowned Alpm.List<Alpm.Package>'
								if (Alpm.find_satisfier (alpm_handle.localdb.pkgcache, pkg.name) == null) {
								                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Compilation failed: 42 error(s), 1 warning(s)
[10/66] Generating org.manjaro.pamac.policy_data@polkit_merge with a custom command.
[11/66] Compiling C object 'src/25a6634@@pamac-clean-cache@exe/meson-generated_clean_cache.c.o'.
[12/66] Compiling C object 'src/25a6634@@pamac-clean-cache@exe/meson-generated_pamac_config.c.o'.
ninja: build stopped: subcommand failed.
==> ERROR: A failure occurred in build().
    Aborting...
```

User avatar
darknetmatrix
Captain
Posts: 287
Joined: Tue Nov 07, 2017 3:47 pm
Contact:
Belgium
Re: Errors updating Aur in Pamac

Post by darknetmatrix » Sun Mar 17, 2019 8:02 am

I just placed your post in code-tags, the tags you used don't exist.

Did you do a 'pksyu' in terminal?

otherwise:
Try updating in terminal and see what that gives.

Code: Select all

~/ >>> pamac update -h
Upgrade your system

pamac upgrade,update [options]

options:
  -a, --aur                   : also upgrade packages installed from AUR
  --builddir <dir>            : build directory (use with --aur), if no directory is given the one specified in
                                pamac.conf file is used
  --force-refresh             : force the refresh of the databases
  --enable-downgrade          : enable package downgrades
  --ignore [package(s)]       : ignore a package upgrade, multiple packages can be specified by separating them with
                                a comma
  --overwrite <glob>          : overwrite conflicting files, multiple patterns can be specified by separating them
                                with a comma
linux user # 527315
I never lose. Either I win, or I learn.

Please edit your original post title to include [SOLVED] - when your problem is solved!
and DO LOOK at those Unanswered Topics - - you may be able to answer some!.

User avatar
erikdubois
Captain
Posts: 2015
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:
Belgium
Re: Errors updating Aur in Pamac

Post by erikdubois » Sun Mar 24, 2019 10:45 am

Update of pamac is in.
Everything works again.
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
then use the power of our moderators.


Post Reply

Return to “BYOI ArcoLinuxB Xfce”